# SelectionnerFichier
declaration: package: lecteur_pdf, class: SelectionnerFichier

Package lecteur_pdf

# Class SelectionnerFichier

java.lang.Object
lecteur_pdf.SelectionnerFichier

public class SelectionnerFichier extends Object
Classe qui permet d'ouvrir une `fenêtre` pour sélectionner le fichier pdf à ouvrir

Author:
  Léo FRANCH, Tristan NOGARET, Lucàs VABRE, Noé VILLENEUVE
See Also:
  - `JFileChooser`
  - `File`
  - `FileNameExtensionFilter`
  - `FileSystemView`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`BOUTON_ANNULER`
Valeur du bouton Annuler
`private static final String`
`BOUTON_OK`
Valeur du bouton Ok
`private static final String`
`DESCRIPTION`
Description du filtre
`private static final String`
`EXTENSION`
Extension de fichier filtré
`private static final String`
`INDICE_BOUTON_ANNULER`
Indice au survol du bouton Annuler
`private static final String`
`INDICE_BOUTON_OK`
Indice au survol du bouton Ok
`private static final String`
`TITRE`
Le titre de la `fenêtre`

## Constructor Summary

Constructors
Constructor
Description
`SelectionnerFichier()`

## Method Summary

Modifier and Type
Method
Description
`static File`
`ouvrirFichier(JFrame parent)`
Méthode qui créée une `fenêtre` pour que l'utilisateur choisisse un fichier PDF

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TITRE

private static final String TITRE
Le titre de la `fenêtre`

See Also:
  - Constant Field Values

### DESCRIPTION

private static final String DESCRIPTION
Description du filtre

See Also:
  - `FileNameExtensionFilter`
  - Constant Field Values

### EXTENSION

private static final String EXTENSION
Extension de fichier filtré

See Also:
  - Constant Field Values

### BOUTON_OK

private static final String BOUTON_OK
Valeur du bouton Ok

See Also:
  - Constant Field Values

### BOUTON_ANNULER

private static final String BOUTON_ANNULER
Valeur du bouton Annuler

See Also:
  - Constant Field Values

### INDICE_BOUTON_OK

private static final String INDICE_BOUTON_OK
Indice au survol du bouton Ok

See Also:
  - Constant Field Values

### INDICE_BOUTON_ANNULER

private static final String INDICE_BOUTON_ANNULER
Indice au survol du bouton Annuler

See Also:
  - Constant Field Values

## Constructor Details

### SelectionnerFichier

public SelectionnerFichier()

## Method Details

### ouvrirFichier

public static File ouvrirFichier(JFrame parent)
Méthode qui créée une `fenêtre` pour que l'utilisateur choisisse un fichier PDF

Parameters:
  `parent` - La `fenêtre` parente de référence
Returns:
  - le fichier choisi par l'utilisateur
  - null si aucun fichier n'est choisi
See Also:
  - `JFileChooser`
  - `File`
  - `FileSystemView`
  - `FileNameExtensionFilter`
  - `SwingUtilities`
  - `UIManager`